Decaps' crypt

FINISH HIM!

Réparer le "Compare with" d'Eclipe sur les fichiers .php

Après avoir mis à jour mes différents plugins Eclipse, je me suis retrouvé dans l'incapacité de faire le moindre "Compare with" sur tous mes fichiers .php, et aussi face à ce magnifique message :
Could not open the editor: An unexpected exception was thrown.

Dans "Details", l'exception était la suivante :
java.lang.NullPointerException
at org.eclipse.php.internal.core.format.FormatPreferencesSupport.verifyValidity(FormatPreferencesSupport.java:100)
...

En cherchant un peu, il semblait que le plugin PDT (PHP Development Tools) était la cause. Cependant la version 2.2.1.v20100826 devait être exempt de ce problème... Sauf pour Ubuntu en 64 bits, qui est mon environnement de travail, "c'est pas l'pot" me direz-vous...

Que nenni ! Il existe une solution qui consiste à désinstaller votre PDT actuel et de réinstaller une version encore plus à jour. Il vous faudra pour cela utiliser le repository suivant :
http://download.eclipse.org/tools/pdt/updates/2.2/milestones/

J'ai ainsi pu installer la version 2.2.1.v20101001-2300, qui corrigeait bel et bien mon problème.

Feed the troll :

Nom :
Site : (facultatif)
Captcha : Captcha
Commentaire :
Balises BBCode autorisées
[b]flideli[/b]
[i]flideli[/i]
[url]flideli[/url]
[url=foo]flideli[/url]
[size=foo]flideli[/size]
[color=foo]flideli[/color]
[code]flideli[/code]

Le saviez-vous ? Refresh saviez_vous Loading

VDM Refresh vdm Loading